[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[dsdp-ercp-dev] Java 5 in devices

Hi guys,

 

I’m guessing you already know about this. Just thought I’d pass it on.

 

Doug

 

From: eclipse-incubator-e4-dev-bounces@xxxxxxxxxxx [mailto:eclipse-incubator-e4-dev-bounces@xxxxxxxxxxx] On Behalf Of Marcelo Paternostro
Sent: Wednesday, June 04, 2008 1:33 PM
To: E4 developer list
Subject: [eclipse-incubator-e4-dev] FYI: Java 5 in devices

 

Hi,

I've attended to a Sun event here in Toronto in which I've seen a Java 5 application running in an iPhone. Obviously I've asked what was the JVM being used since JavaME is 1.4 based. The answer was http://jamvm.sourceforge.net/. So perhaps adopting Java 5 in e4 may not exclude folks that are currently developing for mobile devices. Certainly is not keeping Sun developers and projects to move to a newer level of the language ;-)

Note for the curious ones: The "Java 5 application" is Grizzly (https://grizzly.dev.java.net/) and the presenter was the project's team leader, Jean François, a Sun Engineer.

Best regards,

Marcelo Paternostro
IBM Toronto Lab
1-905-413-3942
marcelop@xxxxxxxxxx